
From: Thomas Gleixner <tglx@linutronix.de>

Use the new lock initializers DEFINE_SPIN_LOCK and DEFINE_RW_LOCK

Signed-off-by: Thomas Gleixner <tglx@linutronix.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/lcd.c         |    2 +-
 25-akpm/drivers/char/s3c2410-rtc.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/char/lcd.c~lock-initializer-cleanup-character-devices drivers/char/lcd.c
--- 25/drivers/char/lcd.c~lock-initializer-cleanup-character-devices	Wed Jan 12 16:55:08 2005
+++ 25-akpm/drivers/char/lcd.c	Wed Jan 12 16:55:08 2005
@@ -33,7 +33,7 @@
 
 #include "lcd.h"
 
-static spinlock_t lcd_lock = SPIN_LOCK_UNLOCKED;
+static DEFINE_SPINLOCK(lcd_lock);
 
 static int lcd_ioctl(struct inode *inode, struct file *file,
 		     unsigned int cmd, unsigned long arg);
diff -puN drivers/char/s3c2410-rtc.c~lock-initializer-cleanup-character-devices drivers/char/s3c2410-rtc.c
--- 25/drivers/char/s3c2410-rtc.c~lock-initializer-cleanup-character-devices	Wed Jan 12 16:55:08 2005
+++ 25-akpm/drivers/char/s3c2410-rtc.c	Wed Jan 12 16:55:08 2005
@@ -48,7 +48,7 @@ static int s3c2410_rtc_alarmno = NO_IRQ;
 static int s3c2410_rtc_tickno  = NO_IRQ;
 static int s3c2410_rtc_freq    = 1;
 
-static spinlock_t s3c2410_rtc_pie_lock = SPIN_LOCK_UNLOCKED;
+static DEFINE_SPINLOCK(s3c2410_rtc_pie_lock);
 
 /* IRQ Handlers */
 
_
